# Jaxer.Request.FileInfo : Object
Return to: Jaxer Framework index

Container for information about uploaded files.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Request.FileInfo Constructor(Object req, Number i) : Jaxer.Request.FileInfo A container for information about uploaded files. The constructor is not meant to be called directly. (Advanced) | Show Details | 1.0 | no

### Jaxer.Request.FileInfo(Object req, Number i) : Jaxer.Request.FileInfo

A container for information about uploaded files. The constructor is not meant to be called directly.
(Advanced)

Parameters

Object | req | The Jaxer Core's request object
Number | i | An index into the list of uploaded files

Returns

Jaxer.Request.FileInfo | Returns an instance of FileInfo.

Visibility
  advanced

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
tempFileName : String The name under which the file was temporarily saved (Advanced) | No Details | 1.0 | no

Visibility
  advanced

contentType : String The content type of this file, as reported by the web server | No Details | 1.0 | no

elementName : String The name of the field as specified in the HTML form | No Details | 1.0 | no

fileName : String The original name of the file that was actually uploaded from the user's filesystem | No Details | 1.0 | no

fileSize : Number The size of the file contents, in bytes | No Details | 1.0 | no

index : Number An index into the list of uploaded files | No Details | 1.0 | no

originalFileName : String The original name of the file that was actually uploaded from the user's filesystem | No Details | 1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
save(String newFileName) : void Save the uploaded file to the given path -- otherwise it will be automatically purged after this request | Show Details | 1.0 | no

Parameters

String | newFileName | The name (or full path) of the file to which the uploaded file should be saved.

aptana_docs